Ad InsertionDelete Ad Break Schedule

Delete Ad Break Schedule

Custom Plan Deletes an ad break slot from the zone's timeline.

curl -X DELETE "https://api.5centscdn.com/v2/zones/vod/pull/42/adinsertion/schedule/501" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY" \
  -d '{
  "_METHOD": "DELETE"
}'
{
  "statusCode": 200,
  "id": 19,
  "tenantId": 103,
  "name": "5-103-pull-4162-adinsertion",
  "hash": "ea696299629d461ba530b1125d10ddae",
  "type": "ad-insertion",
  "url": "https://adinsertion.5centscdn.com/ea696299629d461ba530b1125d10ddae/",
  "state": "enabled",
  "creationDate": "2026-07-30T17:55:55.000Z",
  "updateDate": "2026-09-23T06:02:35.000Z",
  "source": {
    "id": 40,
    "tenantId": 103,
    "type": "asset-catalog",
    "name": "5-103-pull-4162-assetcatalog",
    "url": "https://fm-gb-lon-sl01.cdnized.com:443/",
    "format": "HLS",
    "origin": {
      "customHeaders": [
        {
          "name": "X-Api-Key",
          "value": "Bearer abc123"
        }
      ]
    },
    "assetSample": "v1/AUTH_1234567890/vineeth_103_push_5611/mp4/raw/badguy_3B-L2-30fps-128kbps-44.1kHz.mp4"
  },
  "enableAdTranscoding": true,
  "transcodingProfile": {
    "id": 2287,
    "name": "3B-L2-30fps-128kbps-44.1kHz"
  },
  "serverSideAdTracking": {
    "enable": false,
    "checkAdMediaSegmentAvailability": false
  },
  "vodAdBreakPolicy": {
    "adServer": {
      "id": 39
    },
    "spliceMode": "keyframe",
    "preRoll": {
      "maxDurationS": 30,
      "maxAds": 2,
      "minAdLengthS": 10
    }
  },
  "insertionMode": "sgai",
  "result": "success"
}
DELETE
/zones/vod/pull/{zoneid}/adinsertion/schedule/{scheduleid}
DELETE
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key (sent in header)

path
scheduleidinteger
Required

ID of the ad break schedule slot.

Content-Typestring
Required

The media type of the request body

Options: application/json
_METHODstring
Required

HTTP method override for this request. This endpoint accepts POST, but set this to DELETE to perform a delete operation.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. Provide your API key in the header.

Path Parameters

zoneidinteger
Required

Zone ID

Example:
42
scheduleidinteger
Required

ID of the ad break schedule slot.

Example:
501

Body

application/json
_METHODstring
Required

HTTP method override for this request. This endpoint accepts POST, but set this to DELETE to perform a delete operation.

Example:
DELETE

Responses

statusCodeinteger
idinteger
tenantIdinteger
namestring
hashstring
typestring
urlstring
statestring
creationDatestring
updateDatestring
sourceobject
enableAdTranscodingboolean
transcodingProfileobject
serverSideAdTrackingobject
vodAdBreakPolicyobject
insertionModestring
resultstring
Allowed values:successerror